Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util.statistics
Class ApplicationSessionStatistics

    java.lang.Object
      oracle.ifs.core.util.statistics.ApplicationSessionStatistics

    public class ApplicationSessionStatistics

extends java.lang.Object

A ApplicationSessionStatistics represents the detailed statistics for an active application session on this node.

Constructor Summary
`protected` | `ApplicationSessionStatistics(java.lang.Long appSessId, java.lang.String appName)` Construct a ApplicationSessionStatistics.

Method Summary
`java.lang.String` | `getApplicationName()` Get the Application name.
`java.lang.Long` | `getApplicationSessionId()` Get the application session ID.
`java.util.Date` | `getConnectTime()` Get the time the session was connected.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationSessionStatistics

    protected ApplicationSessionStatistics(java.lang.Long appSessId,
                                           java.lang.String appName)

  Construct a ApplicationSessionStatistics.

  Parameters:
    `appSessId` - ID of the user
    `appName` - name of the application

Method Detail

### getApplicationSessionId

    public java.lang.Long getApplicationSessionId()

  Description copied from class: `ApplicationSessionStatistics`
  Get the application session ID.

  Returns:
    the application session ID

### getApplicationName

    public java.lang.String getApplicationName()

  Description copied from class: `ApplicationSessionStatistics`
  Get the Application name.

  Returns:
    the Application name.

### getConnectTime

    public java.util.Date getConnectTime()

  Description copied from class: `ApplicationSessionStatistics`
  Get the time the session was connected.

  Returns:
    the time the session connected

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD